
Katello - Feature #24174

UI actions for System Purpose on host details page

07/06/2018 12:04 AM - Jonathon Turel

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Web UI   

Target version: Katello 3.9.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/766
Description

As a user I can view, set and modify the system purpose attributes of my host

through the UI so that auto-attach can bind the best available subscriptions

Acceptance Criteria

UI should reflect wireframes, if any

system purpose attributes can be set on an existing host

system purpose attributes can be set to nil values (they are not required)

system purpose attributes are derived from Candlepin

Related issues:

Blocks Katello - Feature #24075: System Purpose P1, P2 Closed

Associated revisions

Revision 3704949b - 10/02/2018 07:22 PM - Stephen Benjamin

fixes #24174 - ui for system purpose actions

History

#1 - 07/06/2018 12:05 AM - Jonathon Turel

- Blocks Feature #24075: System Purpose P1, P2 added

#2 - 07/06/2018 12:32 AM - Jonathon Turel

- Tracker changed from Bug to Feature

#3 - 07/18/2018 04:50 PM - Jonathon Turel

- Target version set to Katello 3.9.0

#4 - 07/18/2018 06:47 PM - Jonathon Turel

- Triaged changed from No to Yes

#5 - 08/30/2018 02:48 PM - The Foreman Bot

- Assignee set to Stephen Benjamin

- Pull request https://github.com/Katello/katello/pull/7665 added

#6 - 09/20/2018 06:36 PM - Jonathon Turel

- File SystemPurpose.pdf added

#7 - 09/25/2018 02:20 PM - The Foreman Bot

- Status changed from New to Ready For Testing
#9 - 10/02/2018 08:01 PM - Stephen Benjamin

- Status changed from Ready For Testing to Closed

Applied in changeset katello|3704949b7553247326794112e1a74ffb3bd2e186.

Files

SystemPurpose.pdf 375 KB 09/20/2018 Jonathon Turel
